NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::Routing::SBendCornerCollection Class Reference

Represents a collection of NXOpen::Routing::SBendCorner objects. More...

Inheritance diagram for NXOpen::Routing::SBendCornerCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
bool ComputeSBend (const NXOpen::Point3d &startPnt, const NXOpen::Point3d &endPnt, const NXOpen::Vector3d &lineVec1, const NXOpen::Vector3d &lineVec2, double radius, int sbendType, NXOpen::Spline **bendCurve)
 Compute a S-Bend curve given input. More...
 
bool ComputeSBendData (const NXOpen::Point3d &startPnt, const NXOpen::Point3d &endPnt, const NXOpen::Vector3d &lineVec1, const NXOpen::Vector3d &lineVec2, double radius, int sbendType, NXOpen::Point3d *extensionPt1, NXOpen::Point3d *extensionPt2, NXOpen::Point3d *arc1StartPt, NXOpen::Point3d *arc1EndPt, NXOpen::Point3d *arc2StartPt, NXOpen::Point3d *arc2EndPt)
 Compute a S-Bend parameters given input. More...
 
NXOpen::Routing::SBendCornerCreateCornerByBendRadius (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRadius, int sbendType)
 Creates a S-Bend corner between the start rcp and end rcp using a bend radius. More...
 
NXOpen::Routing::SBendCornerCreateCornerByBendRatio (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRatio, int sbendType)
 Creates a S-Bend corner between the start rcp and end rcp using a bend ratio. More...
 
NXOpen::Routing::SBendCornerCreateCornerBySegBendRadius (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, NXOpen::Routing::SplineSegment *segment, int sbendType, double bendRadius)
 Creates a S-Bend corner between the start rcp and end rcp using a NXOpen::Routing::SplineSegment and a bend radius. More...
 
NXOpen::Routing::SBendCornerCreateCornerBySegBendRatio (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, NXOpen::Routing::SplineSegment *segment, int sbendType, double bendRatio)
 Creates a S-Bend corner between the start rcp and end rcp using a NXOpen::Routing::SplineSegment and a bend ratio. More...
 
void EditCornerByBendRadius (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRadius, int sbendType, NXOpen::Routing::SBendCorner *sbend)
 Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius. More...
 
void EditCornerByBendRatio (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRatio, int sbendType, NXOpen::Routing::SBendCorner *sbend)
 Edits a S-Bend corner between the start rcp and end rcp using a bend ratio. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
double GetRcpSBendRadius (NXOpen::Routing::ControlPoint *rcp)
 Gets the S-Bend radius of a rcp associated S-Bend corner. More...
 
std::vector
< NXOpen::Routing::SBendCorner * > 
GetSBendAssociatedToRcp (NXOpen::Routing::ControlPoint *rcp)
 Given a control point, get S-Bend corners pointing to it. More...
 
NXOpen::Routing::SBendCornerGetSBendAssociatedToSegment (NXOpen::Routing::SplineSegment *segment)
 Enquire the S-Bend Corner that this segment represents. More...
 
double GetSegmentSBendRadius (NXOpen::Routing::SplineSegment *segment)
 Gets the bend radius of a segment associated S-Bend corner. More...
 
bool IsRcpAssociatedToSBend (NXOpen::Routing::ControlPoint *rcp)
 Determines if the rcp is associated to an S-Bend corner. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::Routing::SBendCorner objects.


To obtain an instance of this class, refer to NXOpen::Routing::RouteManager

Created in NX4.0.0.

Member Function Documentation

iterator NXOpen::Routing::SBendCornerCollection::begin ( )

Returns an iterator addressing the first element.

bool NXOpen::Routing::SBendCornerCollection::ComputeSBend ( const NXOpen::Point3d startPnt,
const NXOpen::Point3d endPnt,
const NXOpen::Vector3d lineVec1,
const NXOpen::Vector3d lineVec2,
double  radius,
int  sbendType,
NXOpen::Spline **  bendCurve 
)

Compute a S-Bend curve given input.

Returns
TURE: if S-Bend is possible; FALSE: otherwise.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startPntStart point of a S-Bend.
endPntend point of a S-Bend.
lineVec1First S-Bend defining vector.
lineVec2Second S-Bend defining vector.
radiusRadius to use for a S-Bend
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
bendCurveS-Bend spline when a valid solution exists; NULL otherwise.
bool NXOpen::Routing::SBendCornerCollection::ComputeSBendData ( const NXOpen::Point3d startPnt,
const NXOpen::Point3d endPnt,
const NXOpen::Vector3d lineVec1,
const NXOpen::Vector3d lineVec2,
double  radius,
int  sbendType,
NXOpen::Point3d extensionPt1,
NXOpen::Point3d extensionPt2,
NXOpen::Point3d arc1StartPt,
NXOpen::Point3d arc1EndPt,
NXOpen::Point3d arc2StartPt,
NXOpen::Point3d arc2EndPt 
)

Compute a S-Bend parameters given input.

Returns
TURE: if S-Bend is possible; FALSE: otherwise.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startPntStart point of a S-Bend.
endPntend point of a S-Bend.
lineVec1First S-Bend defining vector.
lineVec2Second S-Bend defining vector.
radiusRadius to use for a S-Bend
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
extensionPt1Location of 1st extension point where bend fillets could be assigned. Value is not valid when no S-Bend is possible.
extensionPt2Location of 2nd extension point where bend fillets could be assigned.
arc1StartPtPoint where the first bend arc starts. Only computed if not NULL.
arc1EndPtPoint where the first bend arc ends. Only computed if not NULL.
arc2StartPtPoint where the second bend arc starts. Only computed if not NULL.
arc2EndPtPoint where the second bend arc ends. Only computed if not NULL.
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerByBendRadius ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp,
double  bendRadius,
int  sbendType 
)

Creates a S-Bend corner between the start rcp and end rcp using a bend radius.

Returns
The newly created S-Bend Corner
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startRcpStart rcp must not be NULL.
endRcpEnd rcp must not be NULL.
bendRadiusBend radius.
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerByBendRatio ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp,
double  bendRatio,
int  sbendType 
)

Creates a S-Bend corner between the start rcp and end rcp using a bend ratio.

Returns
The newly created S-Bend Corner
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startRcpStart rcp must not be NULL.
endRcpEnd rcp must not be NULL.
bendRatioBend ratio.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerBySegBendRadius ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp,
NXOpen::Routing::SplineSegment segment,
int  sbendType,
double  bendRadius 
)

Creates a S-Bend corner between the start rcp and end rcp using a NXOpen::Routing::SplineSegment and a bend radius.

Returns
The newly created S-Bend corner object.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startRcpStart rcp must not be NULL.
endRcpEnd rcp must not be NULL.
segmentSegment representing the path of the S-Bend.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
bendRadiusS-Bend radius.
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerBySegBendRatio ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp,
NXOpen::Routing::SplineSegment segment,
int  sbendType,
double  bendRatio 
)

Creates a S-Bend corner between the start rcp and end rcp using a NXOpen::Routing::SplineSegment and a bend ratio.

Returns
The newly created S-Bend corner object.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startRcpStart rcp must not be NULL.
endRcpEnd rcp must not be NULL.
segmentSegment representing the path of the S-Bend.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
bendRatioS-Bend ratio.
void NXOpen::Routing::SBendCornerCollection::EditCornerByBendRadius ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp,
double  bendRadius,
int  sbendType,
NXOpen::Routing::SBendCorner sbend 
)

Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius.


Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be NULL.
endRcpEnd rcp must not be NULL.
bendRadiusBend radius.
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
sbendS-Bend Corner to be edited.
void NXOpen::Routing::SBendCornerCollection::EditCornerByBendRatio ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp,
double  bendRatio,
int  sbendType,
NXOpen::Routing::SBendCorner sbend 
)

Edits a S-Bend corner between the start rcp and end rcp using a bend ratio.


Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be NULL.
endRcpEnd rcp must not be NULL.
bendRatioBend ratio.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
sbendS-Bend Corner to be edited.
iterator NXOpen::Routing::SBendCornerCollection::end ( )

Returns an iterator addressing one past the last element.

double NXOpen::Routing::SBendCornerCollection::GetRcpSBendRadius ( NXOpen::Routing::ControlPoint rcp)

Gets the S-Bend radius of a rcp associated S-Bend corner.

Returns
The bend radius.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
rcpThe control point.
std::vector<NXOpen::Routing::SBendCorner *> NXOpen::Routing::SBendCornerCollection::GetSBendAssociatedToRcp ( NXOpen::Routing::ControlPoint rcp)

Given a control point, get S-Bend corners pointing to it.

Returns
Corner objects pointing to the rcp.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
rcpInput control point
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::GetSBendAssociatedToSegment ( NXOpen::Routing::SplineSegment segment)

Enquire the S-Bend Corner that this segment represents.

(NULL can be returned, indicating that this segment does not represent a S-Bend Corner.)

Returns
S-Bend Corner that segment represents (NULL can be returned,indicating that segment does not represent a S-Bend Corner).
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
segmentSegment being queried for the S-Bend Corner it represents.
double NXOpen::Routing::SBendCornerCollection::GetSegmentSBendRadius ( NXOpen::Routing::SplineSegment segment)

Gets the bend radius of a segment associated S-Bend corner.

Returns
The bend radius.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
segmentThe segment associated with the S-Bend corner
bool NXOpen::Routing::SBendCornerCollection::IsRcpAssociatedToSBend ( NXOpen::Routing::ControlPoint rcp)

Determines if the rcp is associated to an S-Bend corner.

Returns
true - The control point is a rcp for a S-Bend corner. false - Otherwise
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
rcpControl point to be interrogated.
tag_t NXOpen::Routing::SBendCornerCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.